specification/cognitiveservices/data-plane/AzureOpenAI/authoring/preview/2024-05-01-preview/azureopenai.yaml [89:679]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
        - in: formData
          name: file
          description: Gets or sets the file to upload into Azure OpenAI.
          required: true
          type: file
      responses:
        '201':
          description: The file has been successfully created.
          schema:
            $ref: '#/definitions/File'
          headers:
            Location:
              description: The location of the newly created item.
              type: string
              format: url
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Upload a file.:
          $ref: ./examples/upload_file.json
  /files/{file-id}:
    get:
      tags:
        - 'Files:'
      summary: >-
        Gets details for a single file specified by the given file-id including
        status, size, purpose, etc.
      operationId: Files_Get
      produces:
        - application/json
      parameters:
        - in: path
          name: file-id
          description: The identifier of the file.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/File'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting a file.:
          $ref: ./examples/get_file.json
    delete:
      tags:
        - 'Files:'
      summary: "Deletes the file with the given file-id.\r\nDeletion is also allowed if a file was used, e.g., as training file in a fine-tune job."
      operationId: Files_Delete
      produces:
        - application/json
      parameters:
        - in: path
          name: file-id
          description: The identifier of the file.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '204':
          description: The file was successfully deleted.
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Deleting a file.:
          $ref: ./examples/delete_file.json
  /files/{file-id}/content:
    get:
      tags:
        - 'Files:'
      summary: "Gets the content of the file specified by the given file-id.\r\nFiles can be user uploaded content or generated by the service like result metrics of a fine-tune job."
      operationId: Files_GetContent
      produces:
        - application/octet-stream
        - application/json
      parameters:
        - in: path
          name: file-id
          description: The identifier of the file.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            type: file
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting the file content.:
          $ref: ./examples/get_file_content.json
  /files/import:
    post:
      tags:
        - 'Files:'
      summary: >-
        Creates a new file entity by importing data from a provided url.
        Uploaded files can, for example, be used for training or evaluating
        fine-tuned models.
      operationId: Files_Import
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: body
          name: fileImport
          description: >-
            The definition of the file to create including its purpose, the file
            name and the url of the file location.
          required: true
          schema:
            $ref: '#/definitions/FileImport'
      responses:
        '201':
          description: The file has been successfully created.
          schema:
            $ref: '#/definitions/File'
          headers:
            Location:
              description: The location of the newly created item.
              type: string
              format: url
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Importing a file with a blob url as source.:
          $ref: ./examples/import_file.json
  /fine_tuning/jobs:
    get:
      tags:
        - 'Fine-tuning:'
      summary: "Gets a list of all fine-tune jobs owned by the Azure OpenAI resource.\r\nThe details that are returned for each fine-tune job contain besides its identifier\r\nthe base model, training and validation files, hyper parameters, time stamps, status and events.\r\nEvents are created when the job status changes, e.g. running or complete, and when results are uploaded."
      operationId: FineTuning_List
      produces:
        - application/json
      parameters:
        - in: query
          name: after
          description: Identifier for the last event from the previous pagination request.
          type: string
        - in: query
          name: limit
          description: Number of events to retrieve. Defaults to 20.
          type: integer
          format: int32
          default: 20
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/FineTuningJobList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting all fine tuning jobs owned by this account.:
          $ref: ./examples/get_finetuning_jobs.json
    post:
      tags:
        - 'Fine-tuning:'
      summary: "Creates a job that fine-tunes a specified model from a given training file.\r\nResponse includes details of the enqueued job including job status and hyper parameters.\r\nThe name of the fine-tuned model is added to the response once complete."
      operationId: FineTuning_Create
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: body
          name: fineTuningJob
          description: "The specification of the fine-tuned model to create.\r\nRequired parameters are the base model and the training file to use.\r\nOptionally a validation file can be specified to compute validation metrics during training.\r\nHyper parameters will be set to default values or can be optionally specified.\r\nThese include batch size, learning rate multiplier, number of epochs and others."
          required: true
          schema:
            $ref: '#/definitions/FineTuningJobCreation'
      responses:
        '201':
          description: The fine tune has been successfully created.
          schema:
            $ref: '#/definitions/FineTuningJob'
          headers:
            Location:
              description: The location of the newly created item.
              type: string
              format: url
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Creating a fine tuning job.:
          $ref: ./examples/post_finetuning_job.json
  /fine_tuning/jobs/{fine-tuning-job-id}:
    get:
      tags:
        - 'Fine-tuning:'
      summary: "Gets details for a single fine-tune job specified by the given fine-tune-id.\r\nThe details contain the base model, training and validation files, hyper parameters, time stamps, status and events.\r\nEvents are created when the job status changes, e.g. running or complete, and when results are uploaded."
      operationId: FineTuning_Get
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/FineTuningJob'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting a fine tuning job.:
          $ref: ./examples/get_finetuning_job.json
    delete:
      tags:
        - 'Fine-tuning:'
      summary: Deletes the fine-tune job specified by the given fine-tune-id.
      operationId: FineTuning_Delete
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '204':
          description: The fine tune was successfully deleted.
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Deleting a fine tuning job.:
          $ref: ./examples/delete_finetuning_job.json
  /fine_tuning/jobs/{fine-tuning-job-id}/events:
    get:
      tags:
        - 'Fine-tuning:'
      summary: "Gets the events for the fine-tune job specified by the given fine-tune-id.\r\nEvents are created when the job status changes, e.g. running or complete, and when results are uploaded."
      operationId: FineTuning_GetEvents
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - in: query
          name: after
          description: Identifier for the last event from the previous pagination request.
          type: string
        - in: query
          name: limit
          description: Number of events to retrieve. Defaults to 20.
          type: integer
          format: int32
          default: 20
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/FineTuningJobEventList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting events of a fine tuning job.:
          $ref: ./examples/get_finetuning_job_events.json
  /fine_tuning/jobs/{fine-tuning-job-id}/checkpoints:
    get:
      tags:
        - 'Fine-tuning:'
      summary: "Gets the checkpoints for the fine-tune job specified by the given fine-tune-id.\r\nCheckpoints are created at the end of successful epochs during training."
      operationId: FineTuning_GetCheckpoints
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - in: query
          name: after
          description: >-
            Identifier for the last checkpoint ID from the previous pagination
            request.
          type: string
        - in: query
          name: limit
          description: Number of checkpoints to retrieve. Defaults to 10.
          type: integer
          format: int32
          default: 10
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/FineTuningJobCheckpointList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting checkpoints of a fine tuning job.:
          $ref: ./examples/get_finetuning_job_checkpoints.json
  /fine_tuning/jobs/{fine-tuning-job-id}/cancel:
    post:
      tags:
        - 'Fine-tuning:'
      summary: >-
        Cancels the processing of the fine-tune job specified by the given
        fine-tune-id.
      operationId: FineTuning_Cancel
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: The fine tune has been successfully canceled
          schema:
            $ref: '#/definitions/FineTuningJob'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Canceling a fine tuning job.:
          $ref: ./examples/cancel_finetuning_job.json
  /models:
    get:
      tags:
        - 'Models:'
      summary: "Gets a list of all models that are accessible by the Azure OpenAI resource.\r\nThese include base models as well as all successfully completed fine-tuned models owned by the Azure OpenAI resource."
      operationId: Models_List
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/ModelList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting all models owned by account.:
          $ref: ./examples/get_models.json
  /models/{model-id}:
    get:
      tags:
        - 'Models:'
      summary: Gets details for the model specified by the given modelId.
      operationId: Models_Get
      produces:
        - application/json
      parameters:
        - in: path
          name: model-id
          description: The identifier of the model.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/Model'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting a base model.:
          $ref: ./examples/get_model_base.json
        Getting a fine-tuned model.:
          $ref: ./examples/get_model_finetune.json
  /ingestion/jobs:
    get:
      tags:
        - 'Ingestion:'
      summary: Lists the ingestion jobs.
      operationId: IngestionJobs_List
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: header
          name: mgmt-user-token
          type: string
          description: >-
            The token used to access the workspace (needed only for user compute
            jobs).
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJobList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        List all ingestion jobs:
          $ref: ./examples/list_ingestion_jobs.json
  /ingestion/jobs/{job-id}:
    put:
      tags:
        - 'Ingestion:'
      summary: Creates an ingestion job with the specified job id.
      operationId: IngestionJobs_Create
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: path
          name: job-id
          required: true
          type: string
          description: The id of the job that will be created.
        - in: header
          name: mgmt-user-token
          type: string
          description: >-
            The token used to access the workspace (needed only for user compute
            jobs).
        - in: header
          name: aml-user-token
          type: string
          description: >-
            The token used to access the resources within the job in the
            workspace (needed only for user compute jobs).
        - in: body
          name: ingestionJob
          schema:
            $ref: '#/definitions/IngestionJob'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJob'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Create a system-compute ingestion job:
          $ref: ./examples/put_ingestion_job_sc.json
        Create a user-compute ingestion job:
          $ref: ./examples/put_ingestion_job_uc.json
    get:
      tags:
        - 'Ingestion:'
      summary: Gets the details of the specified job id.
      operationId: IngestionJobs_Get
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: path
          name: job-id
          required: true
          description: The id of the job.
          type: string
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJob'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Get ingestion job:
          $ref: ./examples/get_ingestion_job.json
  /ingestion/jobs/{job-id}/runs:
    get:
      tags:
        - 'Ingestion:'
      summary: Lists the runs of the specified job id.
      operationId: IngestionJobRuns_List
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: path
          name: job-id
          required: true
          description: The id of the job.
          type: string
        - in: header
          name: mgmt-user-token
          type: string
          description: >-
            The token used to access the workspace (needed only for user compute
            jobs).
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJobRunList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        List ingestion job runs:
          $ref: ./examples/list_ingestion_job_runs.json
  /ingestion/jobs/{job-id}/runs/{run-id}:
    get:
      tags:
        - 'Ingestion:'
      summary: >-
        Gets the details of the specified run id as part of the specified job
        id.
      operationId: IngestionJobRuns_Get
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: path
          name: job-id
          required: true
          description: The id of the job.
          type: string
        - in: path
          name: run-id
          required: true
          description: The id of the run.
          type: string
        - in: header
          name: mgmt-user-token
          type: string
          description: >-
            The token used to access the workspace (needed only for user compute
            jobs).
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJobRun'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Get ingestion job runs:
          $ref: ./examples/get_ingestion_job_run.json
definitions:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



specification/cognitiveservices/data-plane/AzureOpenAI/authoring/preview/2024-07-01-preview/azureopenai.yaml [213:803]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
        - in: formData
          name: file
          description: Gets or sets the file to upload into Azure OpenAI.
          required: true
          type: file
      responses:
        '201':
          description: The file has been successfully created.
          schema:
            $ref: '#/definitions/File'
          headers:
            Location:
              description: The location of the newly created item.
              type: string
              format: url
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Upload a file.:
          $ref: ./examples/upload_file.json
  /files/{file-id}:
    get:
      tags:
        - 'Files:'
      summary: >-
        Gets details for a single file specified by the given file-id including
        status, size, purpose, etc.
      operationId: Files_Get
      produces:
        - application/json
      parameters:
        - in: path
          name: file-id
          description: The identifier of the file.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/File'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting a file.:
          $ref: ./examples/get_file.json
    delete:
      tags:
        - 'Files:'
      summary: "Deletes the file with the given file-id.\r\nDeletion is also allowed if a file was used, e.g., as training file in a fine-tune job."
      operationId: Files_Delete
      produces:
        - application/json
      parameters:
        - in: path
          name: file-id
          description: The identifier of the file.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '204':
          description: The file was successfully deleted.
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Deleting a file.:
          $ref: ./examples/delete_file.json
  /files/{file-id}/content:
    get:
      tags:
        - 'Files:'
      summary: "Gets the content of the file specified by the given file-id.\r\nFiles can be user uploaded content or generated by the service like result metrics of a fine-tune job."
      operationId: Files_GetContent
      produces:
        - application/octet-stream
        - application/json
      parameters:
        - in: path
          name: file-id
          description: The identifier of the file.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            type: file
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting the file content.:
          $ref: ./examples/get_file_content.json
  /files/import:
    post:
      tags:
        - 'Files:'
      summary: >-
        Creates a new file entity by importing data from a provided url.
        Uploaded files can, for example, be used for training or evaluating
        fine-tuned models.
      operationId: Files_Import
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: body
          name: fileImport
          description: >-
            The definition of the file to create including its purpose, the file
            name and the url of the file location.
          required: true
          schema:
            $ref: '#/definitions/FileImport'
      responses:
        '201':
          description: The file has been successfully created.
          schema:
            $ref: '#/definitions/File'
          headers:
            Location:
              description: The location of the newly created item.
              type: string
              format: url
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Importing a file with a blob url as source.:
          $ref: ./examples/import_file.json
  /fine_tuning/jobs:
    get:
      tags:
        - 'Fine-tuning:'
      summary: "Gets a list of all fine-tune jobs owned by the Azure OpenAI resource.\r\nThe details that are returned for each fine-tune job contain besides its identifier\r\nthe base model, training and validation files, hyper parameters, time stamps, status and events.\r\nEvents are created when the job status changes, e.g. running or complete, and when results are uploaded."
      operationId: FineTuning_List
      produces:
        - application/json
      parameters:
        - in: query
          name: after
          description: Identifier for the last event from the previous pagination request.
          type: string
        - in: query
          name: limit
          description: Number of events to retrieve. Defaults to 20.
          type: integer
          format: int32
          default: 20
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/FineTuningJobList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting all fine tuning jobs owned by this account.:
          $ref: ./examples/get_finetuning_jobs.json
    post:
      tags:
        - 'Fine-tuning:'
      summary: "Creates a job that fine-tunes a specified model from a given training file.\r\nResponse includes details of the enqueued job including job status and hyper parameters.\r\nThe name of the fine-tuned model is added to the response once complete."
      operationId: FineTuning_Create
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: body
          name: fineTuningJob
          description: "The specification of the fine-tuned model to create.\r\nRequired parameters are the base model and the training file to use.\r\nOptionally a validation file can be specified to compute validation metrics during training.\r\nHyper parameters will be set to default values or can be optionally specified.\r\nThese include batch size, learning rate multiplier, number of epochs and others."
          required: true
          schema:
            $ref: '#/definitions/FineTuningJobCreation'
      responses:
        '201':
          description: The fine tune has been successfully created.
          schema:
            $ref: '#/definitions/FineTuningJob'
          headers:
            Location:
              description: The location of the newly created item.
              type: string
              format: url
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Creating a fine tuning job.:
          $ref: ./examples/post_finetuning_job.json
  /fine_tuning/jobs/{fine-tuning-job-id}:
    get:
      tags:
        - 'Fine-tuning:'
      summary: "Gets details for a single fine-tune job specified by the given fine-tune-id.\r\nThe details contain the base model, training and validation files, hyper parameters, time stamps, status and events.\r\nEvents are created when the job status changes, e.g. running or complete, and when results are uploaded."
      operationId: FineTuning_Get
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/FineTuningJob'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting a fine tuning job.:
          $ref: ./examples/get_finetuning_job.json
    delete:
      tags:
        - 'Fine-tuning:'
      summary: Deletes the fine-tune job specified by the given fine-tune-id.
      operationId: FineTuning_Delete
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '204':
          description: The fine tune was successfully deleted.
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Deleting a fine tuning job.:
          $ref: ./examples/delete_finetuning_job.json
  /fine_tuning/jobs/{fine-tuning-job-id}/events:
    get:
      tags:
        - 'Fine-tuning:'
      summary: "Gets the events for the fine-tune job specified by the given fine-tune-id.\r\nEvents are created when the job status changes, e.g. running or complete, and when results are uploaded."
      operationId: FineTuning_GetEvents
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - in: query
          name: after
          description: Identifier for the last event from the previous pagination request.
          type: string
        - in: query
          name: limit
          description: Number of events to retrieve. Defaults to 20.
          type: integer
          format: int32
          default: 20
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/FineTuningJobEventList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting events of a fine tuning job.:
          $ref: ./examples/get_finetuning_job_events.json
  /fine_tuning/jobs/{fine-tuning-job-id}/checkpoints:
    get:
      tags:
        - 'Fine-tuning:'
      summary: "Gets the checkpoints for the fine-tune job specified by the given fine-tune-id.\r\nCheckpoints are created at the end of successful epochs during training."
      operationId: FineTuning_GetCheckpoints
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - in: query
          name: after
          description: >-
            Identifier for the last checkpoint ID from the previous pagination
            request.
          type: string
        - in: query
          name: limit
          description: Number of checkpoints to retrieve. Defaults to 10.
          type: integer
          format: int32
          default: 10
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/FineTuningJobCheckpointList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting checkpoints of a fine tuning job.:
          $ref: ./examples/get_finetuning_job_checkpoints.json
  /fine_tuning/jobs/{fine-tuning-job-id}/cancel:
    post:
      tags:
        - 'Fine-tuning:'
      summary: >-
        Cancels the processing of the fine-tune job specified by the given
        fine-tune-id.
      operationId: FineTuning_Cancel
      produces:
        - application/json
      parameters:
        - in: path
          name: fine-tuning-job-id
          description: The identifier of the fine-tune job.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: The fine tune has been successfully canceled
          schema:
            $ref: '#/definitions/FineTuningJob'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Canceling a fine tuning job.:
          $ref: ./examples/cancel_finetuning_job.json
  /models:
    get:
      tags:
        - 'Models:'
      summary: "Gets a list of all models that are accessible by the Azure OpenAI resource.\r\nThese include base models as well as all successfully completed fine-tuned models owned by the Azure OpenAI resource."
      operationId: Models_List
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/ModelList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting all models owned by account.:
          $ref: ./examples/get_models.json
  /models/{model-id}:
    get:
      tags:
        - 'Models:'
      summary: Gets details for the model specified by the given modelId.
      operationId: Models_Get
      produces:
        - application/json
      parameters:
        - in: path
          name: model-id
          description: The identifier of the model.
          required: true
          type: string
        - $ref: '#/parameters/apiVersionQueryParameter'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/Model'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Getting a base model.:
          $ref: ./examples/get_model_base.json
        Getting a fine-tuned model.:
          $ref: ./examples/get_model_finetune.json
  /ingestion/jobs:
    get:
      tags:
        - 'Ingestion:'
      summary: Lists the ingestion jobs.
      operationId: IngestionJobs_List
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: header
          name: mgmt-user-token
          type: string
          description: >-
            The token used to access the workspace (needed only for user compute
            jobs).
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJobList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        List all ingestion jobs:
          $ref: ./examples/list_ingestion_jobs.json
  /ingestion/jobs/{job-id}:
    put:
      tags:
        - 'Ingestion:'
      summary: Creates an ingestion job with the specified job id.
      operationId: IngestionJobs_Create
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: path
          name: job-id
          required: true
          type: string
          description: The id of the job that will be created.
        - in: header
          name: mgmt-user-token
          type: string
          description: >-
            The token used to access the workspace (needed only for user compute
            jobs).
        - in: header
          name: aml-user-token
          type: string
          description: >-
            The token used to access the resources within the job in the
            workspace (needed only for user compute jobs).
        - in: body
          name: ingestionJob
          schema:
            $ref: '#/definitions/IngestionJob'
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJob'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Create a system-compute ingestion job:
          $ref: ./examples/put_ingestion_job_sc.json
        Create a user-compute ingestion job:
          $ref: ./examples/put_ingestion_job_uc.json
    get:
      tags:
        - 'Ingestion:'
      summary: Gets the details of the specified job id.
      operationId: IngestionJobs_Get
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: path
          name: job-id
          required: true
          description: The id of the job.
          type: string
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJob'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Get ingestion job:
          $ref: ./examples/get_ingestion_job.json
  /ingestion/jobs/{job-id}/runs:
    get:
      tags:
        - 'Ingestion:'
      summary: Lists the runs of the specified job id.
      operationId: IngestionJobRuns_List
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: path
          name: job-id
          required: true
          description: The id of the job.
          type: string
        - in: header
          name: mgmt-user-token
          type: string
          description: >-
            The token used to access the workspace (needed only for user compute
            jobs).
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJobRunList'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        List ingestion job runs:
          $ref: ./examples/list_ingestion_job_runs.json
  /ingestion/jobs/{job-id}/runs/{run-id}:
    get:
      tags:
        - 'Ingestion:'
      summary: >-
        Gets the details of the specified run id as part of the specified job
        id.
      operationId: IngestionJobRuns_Get
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/apiVersionQueryParameter'
        - in: path
          name: job-id
          required: true
          description: The id of the job.
          type: string
        - in: path
          name: run-id
          required: true
          description: The id of the run.
          type: string
        - in: header
          name: mgmt-user-token
          type: string
          description: >-
            The token used to access the workspace (needed only for user compute
            jobs).
      responses:
        '200':
          description: Success
          schema:
            $ref: '#/definitions/IngestionJobRun'
        default:
          description: An error occurred.
          schema:
            $ref: '#/definitions/ErrorResponse'
      x-ms-examples:
        Get ingestion job runs:
          $ref: ./examples/get_ingestion_job_run.json
definitions:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



